[gentoo-dev] [PATCH] elisp.eclass: Call makeinfo with --no-split option

2024-12-26 Thread Ulrich Müller
Signed-off-by: Ulrich Müller 
---
 eclass/elisp.eclass | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/eclass/elisp.eclass b/eclass/elisp.eclass
index 1fa8aab29753..e2f629edf132 100644
--- a/eclass/elisp.eclass
+++ b/eclass/elisp.eclass
@@ -139,7 +139,7 @@ elisp_src_configure() { :; }
 elisp_src_compile() {
elisp-compile *.el
if [[ -n ${ELISP_TEXINFO} ]]; then
-   makeinfo ${ELISP_TEXINFO} || die
+   makeinfo --no-split ${ELISP_TEXINFO} || die
fi
 }
 
-- 
2.47.1




[gentoo-dev] Re: [PATCH] guile-utils.eclass: set GUILE_AUTO_COMPILE=fresh

2024-12-26 Thread Arsen Arsenović
Hi Sam,

Sam James  writes:

> Noticed this when looking at app-office/gnucash which was disabling
> GUILE_AUTO_COMPILE entirely (see 72dbf2ec4049df11ad63576971883ee239eadb7f).
>
> We don't want Guile making decisions based on the system cache
> files. Always recompile so we're deterministic.
>
> See 
> https://www.gnu.org/software/guile/manual/html_node/Environment-Variables.html#index-GUILE_005fAUTO_005fCOMPILE.
>
> Signed-off-by: Sam James 
> ---
>  eclass/guile-utils.eclass | 6 +-
>  1 file changed, 5 insertions(+), 1 deletion(-)
>
> diff --git a/eclass/guile-utils.eclass b/eclass/guile-utils.eclass
> index b0660dcfd1ce6..d066013486edc 100644
> --- a/eclass/guile-utils.eclass
> +++ b/eclass/guile-utils.eclass
> @@ -84,10 +84,14 @@ guile_check_compat
>  # @FUNCTION: guile_set_common_vars
>  # @DESCRIPTION:
>  # Sets common variables that apply to all Guile packages, namely,
> -# QA_PREBUILT.
> +# GUILE_AUTO_COMPILE and QA_PREBUILT.
>  guile_set_common_vars() {
>   debug-print-function ${FUNCNAME} "$@"
>  
> + # We don't want Guile making decisions based on the system cache
> + # files. Always recompile so we're deterministic.
> + export GUILE_AUTO_COMPILE=fresh
> +
>   # These aren't strictly speaking prebuilt. but they do generated a
>   # nonstandard ELF object.
>   if [[ -z ${QA_PREBUILT} ]]; then

Thanks, this is reasonable - feel free to apply (not at dev machine at
the moment).

Happy holidays!
-- 
Arsen Arsenović


signature.asc
Description: PGP signature


[gentoo-dev] [PATCH] guile-utils.eclass: set GUILE_AUTO_COMPILE=fresh

2024-12-26 Thread Sam James
Noticed this when looking at app-office/gnucash which was disabling
GUILE_AUTO_COMPILE entirely (see 72dbf2ec4049df11ad63576971883ee239eadb7f).

We don't want Guile making decisions based on the system cache
files. Always recompile so we're deterministic.

See 
https://www.gnu.org/software/guile/manual/html_node/Environment-Variables.html#index-GUILE_005fAUTO_005fCOMPILE.

Signed-off-by: Sam James 
---
 eclass/guile-utils.eclass | 6 +-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/eclass/guile-utils.eclass b/eclass/guile-utils.eclass
index b0660dcfd1ce6..d066013486edc 100644
--- a/eclass/guile-utils.eclass
+++ b/eclass/guile-utils.eclass
@@ -84,10 +84,14 @@ guile_check_compat
 # @FUNCTION: guile_set_common_vars
 # @DESCRIPTION:
 # Sets common variables that apply to all Guile packages, namely,
-# QA_PREBUILT.
+# GUILE_AUTO_COMPILE and QA_PREBUILT.
 guile_set_common_vars() {
debug-print-function ${FUNCNAME} "$@"
 
+   # We don't want Guile making decisions based on the system cache
+   # files. Always recompile so we're deterministic.
+   export GUILE_AUTO_COMPILE=fresh
+
# These aren't strictly speaking prebuilt. but they do generated a
# nonstandard ELF object.
if [[ -z ${QA_PREBUILT} ]]; then
-- 
2.47.1




[gentoo-dev] Re: [PATCH] guile-utils.eclass: set GUILE_AUTO_COMPILE=fresh

2024-12-26 Thread Sam James
Arsen Arsenović  writes:

> Hi Sam,
>
> Sam James  writes:
>
>> Noticed this when looking at app-office/gnucash which was disabling
>> GUILE_AUTO_COMPILE entirely (see 72dbf2ec4049df11ad63576971883ee239eadb7f).
>>
>> We don't want Guile making decisions based on the system cache
>> files. Always recompile so we're deterministic.
>>
>> See 
>> https://www.gnu.org/software/guile/manual/html_node/Environment-Variables.html#index-GUILE_005fAUTO_005fCOMPILE.
>>
>> Signed-off-by: Sam James 
>> ---
>>  eclass/guile-utils.eclass | 6 +-
>>  1 file changed, 5 insertions(+), 1 deletion(-)
>>
>> diff --git a/eclass/guile-utils.eclass b/eclass/guile-utils.eclass
>> index b0660dcfd1ce6..d066013486edc 100644
>> --- a/eclass/guile-utils.eclass
>> +++ b/eclass/guile-utils.eclass
>> @@ -84,10 +84,14 @@ guile_check_compat
>>  # @FUNCTION: guile_set_common_vars
>>  # @DESCRIPTION:
>>  # Sets common variables that apply to all Guile packages, namely,
>> -# QA_PREBUILT.
>> +# GUILE_AUTO_COMPILE and QA_PREBUILT.
>>  guile_set_common_vars() {
>>  debug-print-function ${FUNCNAME} "$@"
>>  
>> +# We don't want Guile making decisions based on the system cache
>> +# files. Always recompile so we're deterministic.
>> +export GUILE_AUTO_COMPILE=fresh
>> +
>>  # These aren't strictly speaking prebuilt. but they do generated a
>>  # nonstandard ELF object.
>>  if [[ -z ${QA_PREBUILT} ]]; then
>
> Thanks, this is reasonable - feel free to apply (not at dev machine at
> the moment).

Thank you, pushed!

>
> Happy holidays!

You too! :)